﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager runat="server">
    </telerik:RadScriptManager>
    <telerik:RadAjaxPanel ID="RadAjaxPanel2" runat="server">
        <telerik:RadGrid ID="RadGrid1" runat="server" AutoGenerateColumns="False" OnNeedDataSource="RadGrid1_NeedDataSource"
            OnItemCreated="RadGrid1_ItemCreated" GridLines="None" AllowSorting="true" AllowPaging="true"
            OnSortCommand="RadGrid1_SortCommand" ShowGroupPanel="true" OnItemDataBound="RadGrid1_ItemDataBound">
            <PagerStyle Mode="NextPrevNumericAndAdvanced" />
            <HeaderContextMenu EnableTheming="True">
                <CollapseAnimation Duration="200" Type="OutQuint" />
            </HeaderContextMenu>
            <MasterTableView DataKeyNames="OrderID" EditMode="PopUp" CommandItemDisplay="Top">
                <Columns>
                    <telerik:GridEditCommandColumn UniqueName="EditCommandColumn">
                    </telerik:GridEditCommandColumn>
                    <telerik:GridBoundColumn DataField="OrderDate" DataType="System.DateTime" HeaderText="Order date">
                        <HeaderStyle Width="150%" />
                    </telerik:GridBoundColumn>
                    <telerik:GridHTMLEditorColumn DataField="ShipName" HeaderText="ShipName" UniqueName="HTMLColumn">
                    </telerik:GridHTMLEditorColumn>
                </Columns>
                <EditFormSettings EditFormType="Template" CaptionFormatString="Edit details for employee with ID {0}"
                    CaptionDataField="OrderID">
                    <PopUpSettings Modal="true" ScrollBars="None" /> 
                    <FormTemplate>
                        <%--<telerik:RadAjaxPanel ID="RadAjaxPanel12" runat="server" EnableAJAX="true">--%>
                        <asp:CheckBox ID="chkVisibility" runat="server" AutoPostBack="true" Text="Visibility" />
                        <br />
                        <asp:Panel ID="pnlControls" runat="server" Visible="false">
                            <asp:TextBox ID="TextBox1" runat="server" Text="Type something"></asp:TextBox>
                        </asp:Panel>
                        <%--</telerik:RadAjaxPanel>--%>
                    </FormTemplate>
                </EditFormSettings>
            </MasterTableView>
            <ClientSettings AllowDragToGroup="true"></ClientSettings>
            <FilterMenu EnableTheming="True">
                <CollapseAnimation Duration="200" Type="OutQuint" />
            </FilterMenu>
        </telerik:RadGrid>
    </telerik:RadAjaxPanel>
    </form>
</body>
</html>
